%define name            javagroups
%define version         2.0.3
%define release         1jpp

%define javadir         %{_datadir}/java
%define javadocdir      %{_datadir}/javadoc
%define section         free

# -----------------------------------------------------------------------------

Summary:        Multicast communication toolkit
Name:           %{name}
Version:        %{version}
Release:        %{release}
Group:          Development/Java
License:        LGPL
URL:            http://www.javagroups.com/
BuildArch:      noarch
Source0:        http://download.sf.net/javagroups/JavaGroups-2.0.3.src.zip
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
Vendor:         JPackage Project
Distribution:   JPackage
BuildRequires:  ant, jaxp_parser_impl, jms, junit
Requires:       jaxp_parser_impl, jms

%description
JavaGroups is a toolkit for reliable multicast communication.  It can be used
to create groups of processes whose members can send messages to each other.

# -----------------------------------------------------------------------------

%package javadoc
Group:          Documentation
Summary:        Javadoc for %{name}

%description javadoc
Javadoc for %{name}.

# -----------------------------------------------------------------------------

%package demo
Group:          Development/Java
Summary:        Demos for %{name}
Requires:       %{name} = %{version}-%{release}

%description demo
Demonstrations and samples for %{name}.

# -----------------------------------------------------------------------------

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -n JavaGroups-%{version}.src
find . -type f -name "*.jar" -exec rm -f {} \;
ln -s %{javadir}/jaxp_parser_impl.jar lib/
ln -s %{javadir}/xml-commons-apis.jar lib/
ln -s %{javadir}/jms.jar lib/
ln -s %{javadir}/junit.jar lib/

# -----------------------------------------------------------------------------

%build
export CLASSPATH=%{javadir}/junit.jar
ant -Dbuild.compiler=modern unittests jar javadoc

# -----------------------------------------------------------------------------

%install
rm -rf $RPM_BUILD_ROOT

# jar
install -d $RPM_BUILD_ROOT%{javadir}
install dist/javagroups-core.jar \
  $RPM_BUILD_ROOT%{javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)

# javadoc
install -d $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}
cp -pr dist/javadoc/* $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}/

# demo
install -d $RPM_BUILD_ROOT%{_datadir}/%{name}
cp dist/javagroups-demo.jar dist/javagroups-test.jar \
  $RPM_BUILD_ROOT%{_datadir}/%{name}/

# -----------------------------------------------------------------------------

%clean
rm -rf $RPM_BUILD_ROOT

# -----------------------------------------------------------------------------

%files
%defattr(0644,root,root,0755)
%doc CREDITS INSTALL.html README doc
%{javadir}/*

%files javadoc
%defattr(0644,root,root,0755)
%{javadocdir}/%{name}-%{version}

%files demo
%defattr(0644,root,root,0755)
%{_datadir}/%{name}

# -----------------------------------------------------------------------------

%changelog
* Sat Nov  2 2002 Ville Skytt <ville.skytta at iki.fi> 2.0.3-1jpp
- Update to 2.0.3.

* Sun Sep  8 2002 Ville Skytt <ville.skytta at iki.fi> 2.0.2-1jpp
- First JPackage release.
